Bug 506327 - sensors module w83627hf not loading and no info showed
sensors module w83627hf not loading and no info showed
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lm_sensors (Show other bugs)
11
All Linux
low Severity low
: ---
: ---
Assigned To: Phil Knirsch
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-16 13:22 EDT by Francisco Miguel Biete
Modified: 2015-03-04 20:20 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-17 14:23:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/etc/sysconfig/lm_sensors (616 bytes, text/plain)
2009-06-16 13:22 EDT, Francisco Miguel Biete
no flags Details
lsmod after running sensors-detect (2.50 KB, text/plain)
2009-06-16 13:23 EDT, Francisco Miguel Biete
no flags Details
lsmod before running sensors-detect (2.50 KB, text/plain)
2009-06-16 13:23 EDT, Francisco Miguel Biete
no flags Details
sensors-detect output (9.48 KB, text/plain)
2009-06-16 13:24 EDT, Francisco Miguel Biete
no flags Details
dmesg after run modprobe w83627hf (39.58 KB, text/plain)
2009-06-17 10:21 EDT, Francisco Miguel Biete
no flags Details

  None (edit)
Description Francisco Miguel Biete 2009-06-16 13:22:20 EDT
Created attachment 348136 [details]
/etc/sysconfig/lm_sensors

Description of problem:

sensors only show the following info. In fedora 10 showed FAN speed, voltages...
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp:  +37.0°C
Core1 Temp:  +39.0°C

It doesn't load the w83627hf driver.
[root@localhost ~]# modprobe w83627hf
FATAL: Error inserting w83627hf (/lib/modules/2.6.29.4-167.fc11.i686.PAE/kernel/drivers/hwmon/w83627hf.ko): Device or resource busy


Version-Release number of selected component (if applicable):

lm_sensors-3.1.0-1.fc11.i586
kernel-PAE-2.6.29.4-167.fc11.i686


How reproducible:

always


Steps to Reproduce:
1. Run sensors-detect
2. Run sensors (only k8temp info showing)
3. Run modprobe w83627hf (error loading module)
  
Actual results:
[root@localhost ~]# sensors
k8temp-pci-00c3
Adapter: PCI adapter
Core0 Temp:  +37.0°C
Core1 Temp:  +39.0°C

Expected results:
Information provided by the w83627hf chipset about voltage, fan speed, mobo temp...


Additional info:
I'm using the nvidia driver from the RPMFusion.

Attached
lsmod before running sensors-detect
sensors-detect full output
lsmod after running sensors-detect
/etc/sysconfig/lm_sensors
Comment 1 Francisco Miguel Biete 2009-06-16 13:23:02 EDT
Created attachment 348137 [details]
lsmod after running sensors-detect
Comment 2 Francisco Miguel Biete 2009-06-16 13:23:31 EDT
Created attachment 348138 [details]
lsmod before running sensors-detect
Comment 3 Francisco Miguel Biete 2009-06-16 13:24:02 EDT
Created attachment 348139 [details]
sensors-detect output
Comment 4 Francisco Miguel Biete 2009-06-16 13:26:01 EDT
It's in the attachment but my motherboard is:
Abit KN8
http://www.abit.com.tw/page/en/motherboard/motherboard_detail.php?pMODEL_NAME=KN8&fMTYPE=Socket+939

Processor:
AMD Athlon(tm) 64 X2 Dual Core Processor 3800+

If more info is needed tell me and I will get ASAP.

Thanks
Comment 5 Hans de Goede 2009-06-16 14:44:23 EDT
Can you please do "dmesg" after trying to load the w83627hf module and paste the last 20 or so lines here?
Comment 6 Francisco Miguel Biete 2009-06-17 10:21:36 EDT
Created attachment 348260 [details]
dmesg after run modprobe w83627hf
Comment 7 Francisco Miguel Biete 2009-06-17 10:22:09 EDT
Here is the tail -n 20:

Bluetooth: HCI device and connection manager initialized
Bluetooth: HCI socket layer initialized
Bluetooth: L2CAP ver 2.13
Bluetooth: L2CAP socket layer initialized
Bluetooth: SCO (Voice Link) ver 0.6
Bluetooth: SCO socket layer initialized
Bluetooth: BNEP (Ethernet Emulation) ver 1.3
Bluetooth: BNEP filters: protocol multicast
Bridge firewalling registered
/dev/vmnet: open called by PID 1707 (vmnet-bridge)
/dev/vmnet: hub 0 does not exist, allocating memory.
/dev/vmnet: port on hub 0 successfully opened
bridge-eth0: up
bridge-eth0: attached
vmnet1: no IPv6 routers present
vmnet8: no IPv6 routers present
eth0: no IPv6 routers present
w83627hf: Found W83627HF chip at 0x290
ACPI: I/O resource w83627hf [0x295-0x296] conflicts with ACPI region IP__ [0x295-0x296]
ACPI: Device needs an ACPI driver
Comment 8 Hans de Goede 2009-06-17 14:23:44 EDT
As the last messages show, the driver is loading as the BIOS claims it uses the IO-ports of the hwmon IC. This is a new check we're doing (which we should have done in the past too), as BIOS code now a days through ACPI is still active
when the system is booted, and poking registers of an IC used by the BIOS at
the same time is a *bad* idea.

You can return to the old (unsafe) behaviour by adding:
acpi_enforce_resource=lax to the kernel commandline.

Note You need to log in before you can comment on or make changes to this bug.